image: gradle:7.2.0-jdk16

sonarqube-check:
  variables:
    SONAR_USER_HOME: "${CI_PROJECT_DIR}/.sonar"
    GRADLE_USER_HOME: "${CI_PROJECT_DIR}/.gradle"
    GIT_DEPTH: "0"
  cache:
    - key: "${CI_JOB_NAME}"
      paths:
        - .sonar/cache
    - paths:
        - .gradle/wrapper
        - .gradle/caches
  script: >
    gradle sonarqube
    -Dsonar.qualitygate.wait=true
    --info
    --stacktrace
    --configure-on-demand
  only:
    - merge_requests
    - develop
